/* Compile with: gcc -Wall -g -O0 debug0.c -o debug0 */

/* The out-of-bounds array write at array[SIZE] resets the loop counter i
 * which happens to be located in memory right after the array. This 
 * results in an infinite loop 											*/

#include <stdio.h>

#define SIZE 1

int main (int argc, char *argv[]) {

	int i;
	char array[SIZE];

	printf("array: %p\n", array);
	printf("i: %p\n", &i);
	printf("array[SIZE]: %p\n", &array[SIZE]); 
	for (i=0; i <= SIZE; i++) {
		array[i] = '\0';
	}
	
	printf("Array: %s\n", array);

	return(0);
}
